Get resource
Read metadata for an uploaded resource.
GET
/v1/knowledge-base/resources/{name}Authorization
Authorizationstringrequired
Send a Modaic bearer token in the Authorization header.
Parameters
namestringrequired
Resource name.
workspacestring
Workspace slug. Omit to use the authenticated account workspace.
commitShastring
Optional 40-character lowercase hex resource revision.
Response
idUUID
Resource ID.
namestring
Resource identifier.
kinddataset | artifact
pathstring
Resource path.
sha256string
File checksum.
sizeBytesinteger
File size.
commitShastring
Resource revision.
Was this page helpful?